#include "enl.h"

void CfgLoad(char *file)
{
   int context[256];
   int level;
   char s[1024];
   
   cfgfile=fopen(file,"r");
   level=0;context[level]=CFG_CONTEXT_NONE;
   while(CfgGetLine(NULL))
     {
	word(line,1,s);
	if (!strcmp(s,"begin"))
	  {
	     level++;
	     word(line,2,s);
	     if (!strcmp(s,"images")) 
	       context[level]=CFG_CONTEXT_IMAGES;
	     else if (!strcmp(s,"class")) 
	       context[level]=CFG_CONTEXT_CLASS;
	     else if (!strcmp(s,"buttons")) 
	       context[level]=CFG_CONTEXT_BUTTONS;
	     else if (!strcmp(s,"strip")) 
	       context[level]=CFG_CONTEXT_STRIP;
	     else if (!strcmp(s,"button")) 
	       context[level]=CFG_CONTEXT_BUTTON;
	     else if (!strcmp(s,"geometry")) 
	       context[level]=CFG_CONTEXT_GEOMETRY;
	     else if (!strcmp(s,"actions")) 
	       context[level]=CFG_CONTEXT_ACTIONS;
	     else if (!strcmp(s,"sliders")) 
	       context[level]=CFG_CONTEXT_SLIDERS;
	     if ((level>1)&&
		 (context[level]==CFG_CONTEXT_CLASS)&&
		 (context[level-1]==CFG_CONTEXT_IMAGES))
	       {
		  CfgLoadImageClass();
		  level--;
	       }
	     else if ((level>1)&&
		 (context[level]==CFG_CONTEXT_BUTTON)&&
		 (context[level-1]==CFG_CONTEXT_BUTTONS))
	       {
		  CfgLoadButton();
		  level--;
	       }
	     else if ((level>1)&&
		 (context[level]==CFG_CONTEXT_STRIP)&&
		 (context[level-1]==CFG_CONTEXT_BUTTONS))
	       {
		  CfgLoadStrip();
		  level--;
	       }
	     else if ((level>1)&&
		 (context[level]==CFG_CONTEXT_CLASS)&&
		 (context[level-1]==CFG_CONTEXT_SLIDERS))
	       {
		  CfgLoadSliderClass();
		  level--;
	       }
	  }
	else if (!strcmp(s,"end")) level--;
	if (level<0) level=0;
     }
}

char *CfgGetLine(char *file)
{
   char buf[1024];
   int l;
   
   buf[0]='#';buf[1]=0;
   while (buf[0]=='#')
     {
	if (!fgets(buf,1024,cfgfile)) 
	  {
	     fclose(cfgfile);
	     return NULL;
	  }
     }
   l=strlen(buf);
   if (l>0) buf[l-1]=0;
   else buf[0]=0;
   strcpy(line,buf);
   return line;
}
