#include "enl.h"

void func();
void func2();
void func3();

void func()
{
	printf("Callback function for internal button called!!!!!!\n");
	FreeButton((Button *)DelItem("OK_BUTTON",LIST_TYPE_BUTTON));
	ShowButton(MakeButton("OK_BUTTON","DEFAULT_OK",350,400,48,48));
	AddButtonActionCallback(FindItem("OK_BUTTON",LIST_TYPE_BUTTON),
									"mouse up any 1",func2);
}

void func2()
{
	printf("Callback function2 for internal button called!!!!!!\n");
	FreeButton((Button *)DelItem("OK_BUTTON",LIST_TYPE_BUTTON));
	ShowButton(MakeButton("OK_BUTTON","DEFAULT_OK",400,400,32,32));
	AddButtonActionCallback(FindItem("OK_BUTTON",LIST_TYPE_BUTTON),
									"mouse up any 1",func3);
}

void func3()
{
	printf("Callback function3 for internal button called!!!!!!\n");
	FreeButton((Button *)DelItem("OK_BUTTON",LIST_TYPE_BUTTON));
	ShowButton(MakeButton("OK_BUTTON","DEFAULT_OK",300,400,64,64));
	AddButtonActionCallback(FindItem("OK_BUTTON",LIST_TYPE_BUTTON),
									"mouse up any 1",func);
}

int main(int argc, char **argv)
{
   char **s;
   int num,i;
   
   SetupVars();
   SetupSignals();
   SetupX();
   CfgLoad(argv[1]);
   DrawStrip(FindItem("STRIP_1",LIST_TYPE_STRIP));
   ShowStrip(FindItem("STRIP_1",LIST_TYPE_STRIP));
   DrawButton(FindItem("B4",LIST_TYPE_BUTTON));
   ShowButton(FindItem("B4",LIST_TYPE_BUTTON));
	/* Test INTERNAL button creation routines. OK_BUTTON is my test button */
	/* Create and show the button (ax x,y 300,400, size 64x64 (0x0 = original */
	/* imageclass image size) using an imageclass called DEFAULT_OK */
	ShowButton(MakeButton("OK_BUTTON","DEFAULT_OK",300,400,64,64));
	/* add a callback for mouse, up, any modifiers button 1 */
	AddButtonActionCallback(FindItem("OK_BUTTON",LIST_TYPE_BUTTON),
									"mouse up any 1",func);
	/* add another action - button 3 up with any modifierd delets the button */
	AddButtonAction(FindItem("OK_BUTTON",LIST_TYPE_BUTTON),
						 "mouse up any 3 delete_button");
   s=ListItems(&num,LIST_TYPE_ANY);
   printf("Items in Database List:\nNumber:%i\n",num);
   for(i=0;i<num;i++) printf("\tname:\t %s\n",s[i]);
   freestrlist(s,num);
   for (;;)
	 {
		 XEvent ev;
		 XNextEvent(disp,&ev);
		 HandleEvent(&ev);
     }
}
