#include "enl.h"

Root *SetupRoot()
{
   Root *r;
   XWindowAttributes att;
   
   r=Emalloc(sizeof(Root));
   if (!r) return NULL;
   r->name=duplicate("ROOT");
   r->display=disp;
   r->displayname=duplicate(DisplayString(disp));
   r->win=DefaultRootWindow(disp);
   XGetWindowAttributes(disp,r->win,&att);
   r->width=att.width;
   r->height=att.height;
   r->visual=att.visual;
   r->depth=att.depth;
   return r;
}
