#include "enl.h"

void HandleSigChild(int num)
{
   int status;
   
   while (wait3(&status, WNOHANG, 0)>0);
}

void HandleXError(Display *d, XErrorEvent *ev)
{
   if  ((ev->request_code == X_ChangeWindowAttributes)&&
	(ev->error_code   == BadAccess))
     {
	Alert("Another window manager is already running.\n"
	      "You will have to quit you current window manager first before\n"
	      "you can successfully run enlightenment.\n"
	      "If you haven't edited your user startup files, Enlightenment\n"
	      "can do that now for you, so when you log in again after\n"
	      "quitting your current window manager, you will have\n"
	      "Enlightenment running. If you want to do this, click left\n"
	      "button for OK, otherwise middle or right mouse button\n"
	      "to restart Enlightenment or Quit now\n");
	EExit(1);
     }
   return;
}

void HandleXIOError(Display *d)
{
   if (d==disp)
     {
	Alert("ERROR - FATAL: Lost primary connection to display.\n"
	      "Giving up\n");
	EExit(100);
     }
   EExit(1);
}

